Revoke a credential
curl --request POST \
--url https://api.sharedgraph.com/api/auth/oauth2/revoke \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=<string>'const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({token: '<string>'})
};
fetch('https://api.sharedgraph.com/api/auth/oauth2/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/auth/oauth2/revoke"
payload = { "token": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}OAuth
Revoke a credential
Confidential client authentication uses client_secret_basic (HTTP Basic). Account cookies and social bearer credentials do not authenticate the client. Origin may be omitted; if supplied it must match exactly.
POST
/
api
/
auth
/
oauth2
/
revoke
Revoke a credential
curl --request POST \
--url https://api.sharedgraph.com/api/auth/oauth2/revoke \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'token=<string>'const options = {
method: 'POST',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({token: '<string>'})
};
fetch('https://api.sharedgraph.com/api/auth/oauth2/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sharedgraph.com/api/auth/oauth2/revoke"
payload = { "token": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text){
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}{
"error": "unknown_or_immutable_field",
"message": "<string>",
"error_description": "<string>",
"error_uri": "<string>"
}Authorizations
client_secret_basic: registered client identifier and secret.
Body
application/x-www-form-urlencoded
Response
Credential accepted for revocation. Empty HTTP response body (not JSON null).